%define major 1
%define libname %mklibname openobex %{major}
%define major2 2
%define libname2 %mklibname openobex %{major2}
%define develname %mklibname openobex -d

Summary: 	Library for using OBEX
Name: 		openobex
Version: 	1.7.2
Release: 	%mkrel 6
License: 	LGPL
Group: 		System/Libraries
URL:		http://openobex.sourceforge.net/
Source: 	https://sourceforge.net/projects/openobex/files/openobex/%{version}/%{name}-%{version}-Source.tar.gz
Patch0:		openobex-1.7.1-libdir-extra-prefix.patch
Patch1:		openobex-1.7.1-addrinfo.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libusb)

%description
Open OBEX shared c-library

%package -n %{libname}
Summary: Library for using OBEX
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Conflicts: %{_lib}%{name}1.3
Conflicts: %{_lib}%{name}1.2
Conflicts: %{_lib}%{name}1.1

%description -n %{libname}
Open OBEX shared c-library

%package -n %{libname2}
Summary: Library for using OBEX
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Conflicts: %{_lib}%{name}1.3
Conflicts: %{_lib}%{name}1.2
Conflicts: %{_lib}%{name}1.1

%description -n %{libname2}
Open OBEX shared c-library

%package -n %{develname}
Summary: Library for using OBEX
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel  = %{version}-%{release}
Requires: %{libname} = %{version}
Requires: %{libname2} = %{version}
Requires:   bluez-devel
Conflicts: %{_lib}%{name}1.3-devel
Conflicts: %{_lib}%{name}1.2-devel
Conflicts: %{_lib}%{name}1.1-devel
Obsoletes: %{_lib}%{name}1-devel

%description -n %{develname}
Open OBEX shared c-library

%package apps
Summary: Apps that come with the Open OBEX c-library
Group: Communications/Mobile

%description apps
These are the apps that come with the Open OBEX c-library. These are
not meant to be more than test-programs to look at if you want to see
how use the library itself.

%package ircp
Summary: Used to "beam" files or whole directories
Group: Communications/Mobile
Obsoletes: ircp
Provides: ircp

%description ircp
Ircp is used to "beam" files or whole directories to/from Linux, Windows.

%prep
%setup -q -n %{name}-%{version}-Source
#autopatch -p1

%build
%cmake \
 -DCMAKE_INSTALL_UDEVRULESDIR=%{_udevrulesdir} \
 -DCMAKE_SKIP_INSTALL_RPATH=YES \
 -DCMAKE_SKIP_RPATH=YES
%cmake_build
make -C build openobex-apps

%install
%cmake_install

# since our old packages will look for headers in /usr/include
ln -s openobex/obex.h %{buildroot}/%{_includedir}/obex.h
ln -s openobex/obex_const.h %{buildroot}/%{_includedir}/obex_const.h

%files -n %{libname}
%doc COPYING
%{_libdir}/libopenobex.so.%{major}{,.*}

%files -n %{libname2}
%doc COPYING
%{_libdir}/libopenobex.so.%{major2}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog README
%{_libdir}/pkgconfig/openobex.pc
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/cmake/OpenObex-%{version}
%{_datadir}/doc/openobex/html/

%files apps
%{_bindir}/irobex_palm3
%{_bindir}/irxfer
%{_bindir}/obex_find
%{_sbindir}/obex-check-device
%{_bindir}/obex_tcp
%{_bindir}/obex_test
%{_mandir}/*/irobex_palm3.*
%{_mandir}/*/irxfer.*
%{_mandir}/*/obex_find.*
%{_mandir}/*/obex_tcp.*
%{_mandir}/*/obex_test.*
%{_udevrulesdir}/*

%files ircp
%{_bindir}/ircp
%{_mandir}/*/ircp.*


%changelog
* Tue Nov 15 2022 kekepower <kekepower> 1.7.2-6.mga9
+ Revision: 1907668
- Disable rpath
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 joequant <joequant> 1.7.2-4.mga8
+ Revision: 1616882
- fix cmake

* Fri Feb 14 2020 umeabot <umeabot> 1.7.2-3.mga8
+ Revision: 1515725
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.7.2-2.mga7
+ Revision: 1300027
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 kekepower <kekepower> 1.7.2-1.mga7
+ Revision: 1218403
- Update to version 1.7.2

* Fri Feb 12 2016 umeabot <umeabot> 1.7.1-8.mga6
+ Revision: 956547
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 1.7.1-7.mga6
+ Revision: 870465
- patch1: fix build

* Wed Feb 18 2015 luigiwalser <luigiwalser> 1.7.1-6.mga5
+ Revision: 815764
- second attempt to fix libdir in pkgconfig file

* Wed Feb 18 2015 luigiwalser <luigiwalser> 1.7.1-5.mga5
+ Revision: 815746
- remove extra prefix from cflags in pkgconfig file

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 742625
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-3.mga5
+ Revision: 683228
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.7.1-2.mga5
+ Revision: 643769
- Replace libusb*-devel BuildRequires by better ones

* Sat May 17 2014 tv <tv> 1.7.1-1.mga5
+ Revision: 623141
- BR xsltproc
- BR docbook-style-xsl
- BR doxygen
- BR cmake
- make devel package require both library packages
- new release
- now we've 2 libs
- use cmake
- package cmake file for obexftp

* Fri Oct 18 2013 umeabot <umeabot> 1.5-10.mga4
+ Revision: 508678
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5-9.mga3
+ Revision: 362053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.5-8.mga3
+ Revision: 339690
- patch1: fix build with automake 1.13

* Wed Oct 03 2012 malo <malo> 1.5-7.mga3
+ Revision: 302622
- update RPM group

* Sun Feb 06 2011 ahmad <ahmad> 1.5-6.mga1
+ Revision: 47670
- drop old/unneeded scriptlets
- drop two ununsed patches
- imported package openobex

